# Generated from video_transcoding-0.25.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name video_transcoding

Name: rubygem-%{gem_name}
Version: 0.25.3
Release: 1%{?dist}
Summary: Tools to transcode, inspect and convert videos
License: MIT
URL: https://github.com/donmelton/video_transcoding
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0
BuildArch: noarch

%description
Video Transcoding is a package of tools to transcode, inspect
and convert videos.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/convert-video
%{_bindir}/detect-crop
%{_bindir}/query-handbrake-log
%{_bindir}/transcode-video
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/video_transcoding.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 0.25.3-1
- Initial package
